      subroutine lirbl(mat,long,ifil)
      parameter(ngru3=2048)
      common/ipoin76/ip76
      common/dim/iadri
      dimension mat(iadri)
      ifin=0
c      write(6,*)'lirbl long',long,ifil
      do k=1,long,ngru3
         ideb=ifin+1
         ifin=ideb+ngru3-1
         call liri(mat(ideb),ngru3,ifil)
c          if(ifil.eq.76)ip76=ip76+1
c          if(ifil.eq.76)print*,'ip76',ip76
      enddo
      return
      end
       subroutine back(ifil,n)
      common/ipoin76/ip76
      do k=1,n,2048
         backspace ifil
c          if(ifil.eq.76)ip76=ip76-1
c          if(ifil.eq.76)print*,'back ip76',ip76
      enddo
      return
      end
       subroutine saut(ifil,n)
      common/ipoin76/ip76
      do k=1,n,2048
         read (ifil)
c          if(ifil.eq.76)ip76=ip76+1
c          if(ifil.eq.76)print*,'saut ip76',ip76
      enddo
      return
      end
      subroutine liri(mat,long,ifil)
      dimension mat(long)
c      write(6,*)'liri long,ifil',long,ifil
      read(ifil) mat
      return
      end
       subroutine lirc(c,long,ifil)
      character(1) c(long)
c     write(6,*)'liri long,ifil',long,ifil
      read(ifil) c
      return
      end
      subroutine lir8(amat,long,ifil)
      double precision amat(long)
c     write(6,*)'lir8 long,ifil',long,ifil
      read(ifil) amat
      return
      end
